/**
 * IGAC proyecto SNC
 */
package co.gov.igac.snc.persistence.util;

/**
 * Enumeración para definir los errores en la validación de los datos para rectificar y
 * complementar.
 *
 * @author felipe.cadena
 */
public enum EErroresDatosRectificar {

//TODO :: felipe.cadena :: deben ir ordenados alfabéticamente :: pedro.garcia        
    NO_PREDIO("", "", "Debe seleccionar un predio para rectificar o complementar. "),
    VARIOS_PREDIOS("", "",
        "El trámite seleccionado cuenta con múltiples predios asociados y sólo debe tener uno, por favor elimine los predios sobrantes e intente nuevamente. "),
    NO_TIPO_ID("TIPO_IDENTIFICACION", "RECTIFICA",
        "Este dato no existe para ningún propietario, no puede rectificarse"),
    NO_NUMERO_ID("NUMERO_IDENTIFICACION", "RECTIFICA",
        "Este dato no existe para ningún propietario, no puede rectificarse"),
    PRIMER_APELLIDO_TO_NIT("", "RECTIFICA",
        "Todos los propietarios son personas jurídicas, no puede rectificarse el dato primer apellido"),
    NO_PRIMER_APELLIDO("PRIMER_APELLIDO", "RECTIFICA",
        "No hay propietarios que tengan primer apellido registrado, no puede rectificarse"),
    SEGUNDO_APELLIDO_TO_NIT("", "RECTIFICA",
        "Todos los propietarios son personas jurídicas, no puede rectificarse el dato segundo apellido"),
    NO_SEGUNDO_APELLIDO("SEGUNDO_APELLIDO", "RECTIFICA",
        "No hay propietarios que tengan segundo apellido registrado, no puede rectificarse"),
    PRIMER_NOMBRE_TO_NIT("", "RECTIFICA",
        "Todos los propietarios son personas jurídicas, no puede rectificarse el dato primer nombre "),
    NO_PRIMER_NOMBRE("PRIMER_NOMBRE", "RECTIFICA",
        "No hay propietarios que tengan primer nombre registrado, no puede rectificarse"),
    SEGUNDO_NOMBRE_TO_NIT("", "RECTIFICA",
        "Todos los propietarios son personas jurídicas, no puede rectificarse el dato segundo nombre "),
    NO_SEGUNDO_NOMBRE("SEGUNDO_NOMBRE", "RECTIFICA",
        "No hay propietarios que tengan segundo nombre registrado, no puede rectificarse"),
    RAZON_SOCIAL_TO_NATURAL("", "RECTIFICA",
        "Todos los propietarios son personas naturales, no puede rectificarse el dato razón social"),
    NO_RAZON_SOCIAL("RAZON_SOCIAL", "RECTIFICA",
        "No hay propietarios que tengan razón social registrado, no puede rectificarse"),
    NO_PARTICIPACION("PARTICIPACION", "RECTIFICA",
        "Los propietarios no tiene porcentaje de participación, no puede rectificarse este dato"),
    NO_SIGLA("SIGLA", "RECTIFICA",
        "Los propietarios jurídicos no tienen sigla registrada, no puede rectificarse este dato"),
    NO_JUSTIFICACION("JUSTIFICACION", "RECTIFICA",
        "Este predio no registra ninguna justificación de propiedad asociada, Este dato no puede rectificarse"),
    NO_MODO_ADQUISICION("MODO_ADQUISICION", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el modo de adquisición, este dato no puede ser rectificado"),
    NO_TIPO_TITULO("TIPO_TITULO", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el tipo de título, este dato no puede ser rectificado"),
    NO_VALOR_COMPRA("VALOR", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el valor de compra, este dato no puede ser rectificado"),
    NO_DIMENSION("AREA_CONSTRUIDA", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_TOTAL_PISOS_CONSTRUCCION("TOTAL_PISOS_CONSTRUCCION", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_TOTAL_HABITACIONES("TOTAL_HABITACIONES", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_TOTAL_BANIOS("TOTAL_BANIOS", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_USO_ID("USO_ID", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_TOTAL_LOCALES("TOTAL_LOCALES", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_ANIO_CONSTRUCCION("ANIO_CONSTRUCCION", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_DIMENSION_COMP("AREA_CONSTRUIDA", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_TOTAL_PISOS_CONSTRUCCION_COMP("TOTAL_PISOS_CONSTRUCCION", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_TOTAL_HABITACIONES_COMP("TOTAL_HABITACIONES", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_TOTAL_BANIOS_COMP("TOTAL_BANIOS", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_USO_ID_COMP("USO_ID", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_TOTAL_LOCALES_COMP("TOTAL_LOCALES", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_ANIO_CONSTRUCCION_COMP("ANIO_CONSTRUCCION", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    NO_DEPTO_TITULO("DEPARTAMENTO", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el departamento donde se realizó el título, este dato no puede ser rectificado"),
    NO_MUN_TITULO("MUNICIPIO", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el municipio donde se realizó el título, este dato no puede ser rectificado"),
    NO_ENTIDAD_EMISORA("ENTIDAD_EMISORA", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociada una entidad emisora, este dato no puede ser rectificado"),
    NO_NUMERO_TITULO("NUMERO_TITULO", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociado el número de título, este dato no puede ser rectificado"),
    NO_FECHA_TITULO("FECHA_TITULO", "RECTIFICA",
        "Ninguna de las justificaciones de propiedad tienen asociada la fecha de título, este dato no puede ser rectificado"),
    NO_FECHA_REGISTRO("FECHA_REGISTRO", "RECTIFICA",
        "Este predio no registra ninguna justificación de propiedad asociada, este dato no puede ser rectificado"),
    NO_MATRICULA_INMOVILIARIA("NUMERO_REGISTRO", "RECTIFICA",
        "La matricula inmobiliaria no existe en el predio, este dato no puede ser rectificado"),
    NO_TIPO_PREDIO("TIPO", "RECTIFICA",
        "El tipo de predio no tiene información en el predio, este dato no puede ser rectificado"),
    NO_CONSTRUCCIONES_CONV("CONSTRUCCIONES", "RECTIFICA",
        "El predio no tiene  construcciones convencionales, este dato no puede ser rectificado"),
    NO_DATO_CONSTRUCCION("CONSTRUCCIONES_DATOS", "RECTIFICA",
        "Ninguna de las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser rectificado"),
    NO_DESTINACION_ECONOMICA("DESTINO", "RECTIFICA",
        "La destinación económica  no tiene información para este predio, este dato no puede ser rectificado"),
    NO_DIRECCION("DIRECCION", "RECTIFICA",
        "La dirección no está registrada en este predio, este dato no puede ser rectificado"),
    NO_DIRECCION_PRINCIPAL("PRINCIPAL", "RECTIFICA",
        "La dirección principal no está registrada en este predio o solo existe una direcciòn y ya es la principal, este dato no puede ser rectificado"),
    NO_COEFICIENTE_PREDIO("COEFICIENTE", "RECTIFICA",
        "El predio seleccionado no tiene coeficiente de copropiedad, este dato no puede ser rectificado"),
    DETALLE_CALIFICACION_NO_EXISTE("DETALLE_CALIFICACION", "RECTIFICA",
        "Las construcciones no tienen calificación asociada, este dato no puede ser rectificado"),
    CONDICION_7_8_9("", "RECTIFICA",
        "El predio seleccionado no tiene coeficiente de copropiedad, este dato no puede ser rectificado"),
    CONDICION_7_8_9_COMP("", "RECTIFICA",
        "El predio seleccionado no tiene coeficiente de copropiedad, este dato no puede ser complementado"),
    NO_FOTO("FOTO", "RECTIFICA",
        "El predio seleccionado no tiene fotos asociadas, este dato no puede ser rectificado"),
    DATO_PROPIETARIO_EXISTE("", "COMPLEMENTA",
        "Este dato existe para todos los propietarios, no puede complementarse"),
    TIPO_ID_EXISTE("TIPO_IDENTIFICACION", "COMPLEMENTA",
        "Todos los propietarios tienen tipo de identificación, no puede complementarse"),
    NUMERO_ID_EXISTE("NUMERO_IDENTIFICACION", "COMPLEMENTA",
        "Todos los propietarios tienen número de identificación, no puede complementarse"),
    PRIMER_APELLIDO_TO_NIT_COM("", "COMPLEMENTA",
        "Todos los propietarios son personas jurídicas, no puede complementarse el dato primer apellido"),
    PRIMER_APELLIDO_EXISTE("PRIMER_APELLIDO", "COMPLEMENTA",
        "Todos los propietarios tienen primer apellido registrado, no puede complementarse"),
    SEGUNDO_APELLIDO_TO_NIT_COM("", "COMPLEMENTA",
        "Todos los propietarios son personas jurídicas, no puede complementarse el dato segundo apellido"),
    SEGUNDO_APELLIDO_EXISTE("SEGUNDO_APELLIDO", "COMPLEMENTA",
        "Todos los propietarios tienen segundo apellido registrado, no puede complementarse"),
    PRIMER_NOMBRE_TO_NIT_COM("", "COMPLEMENTA",
        "Todos los propietarios son personas jurídicas, no puede complementarse el dato primer nombre"),
    PRIMER_NOMBRE_EXISTE("PRIMER_NOMBRE", "COMPLEMENTA",
        "Todos los propietarios tienen primer nombre registrado, no puede complementarse"),
    SEGUNDO_NOMBRE_TO_NIT_COM("", "COMPLEMENTA",
        "Todos los propietarios son personas jurídicas, no puede complementarse el dato segundo nombre"),
    SEGUNDO_NOMBRE_EXISTE("SEGUNDO_NOMBRE", "COMPLEMENTA",
        "Todos los propietarios tienen segundo nombre registrado, no puede complementarse"),
    RAZON_SOCIAL_TO_NATURAL_COM("", "COMPLEMENTA",
        "Todos los propietarios son personas naturales, no puede complementarse el dato razón social"),
    RAZON_SOCIAL_EXISTE("RAZON_SOCIAL", "COMPLEMENTA",
        "Todos los propietarios jurídicos tienen razón social registrado, no puede complementarse"),
    PARTICIPACION_EXISTE("PARTICIPACION", "COMPLEMENTA",
        "Todos Los propietarios tienen porcentaje de participación, no puede complementarse"),
    SIGLA_EXISTE("SIGLA", "COMPLEMENTA",
        "Los propietarios jurídicos tienen sigla registrada, no puede complementarse"),
    DESTINO_EXISTE("DESTINO", "COMPLEMENTA",
        "El predio ya tiene un destino economico asociado, no puede complementarse"),
    NO_JUSTIFICACION_COM("JUSTIFICACION", "COMPLEMENTA",
        "Este predio no registra ninguna justificación de propiedad asociada, Este dato no puede complementarse"),
    MODO_ADQUISICION_EXISTE("MODO_ADQUISICION", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el modo de adquisición, este dato no puede ser complementado"),
    VALOR_COMPRA_EXISTE("VALOR", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el valor de compra, este dato no puede ser complementado"),
    TIPO_TITULO_EXISTE("TIPO_TITULO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el tipo de título, este dato no puede ser complementado"),
    DEPTO_TITULO_EXISTE("DEPARTAMENTO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el departamento donde se realizó el título, este dato no puede ser complementado"),
    MUN_TITULO_EXISTE("MUNICIPIO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el municipio donde se realizó el título, este dato no puede ser complementado"),
    ENTIDAD_EMISORA_EXISTE("ENTIDAD_EMISORA", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociada una entidad emisora, este dato no puede ser complementado"),
    NUMERO_TITULO_EXISTE("NUMERO_TITULO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el número de título, este dato no puede ser complementado"),
    FECHA_TITULO_EXISTE("FECHA_TITULO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociada la fecha de título, este dato no puede ser complementado"),
    FECHA_REGISTRO_EXISTE("FECHA_REGISTRO", "COMPLEMENTA",
        "Todas las justificaciones de propiedad tienen asociado el fecha registro, este dato no puede ser rectificado"),
    MATRICULA_INMOVILIARIA_EXISTE("NUMERO_REGISTRO", "COMPLEMENTA",
        "La matricula inmobiliaria existe en el predio, este dato no puede ser complementado"),
    TIPO_PREDIO_EXISTE("TIPO", "COMPLEMENTA",
        "El tipo de predio tiene información, este dato no puede ser complementado"),
    COEFICIENTE_PREDIO_EXISTE("COEFICIENTE", "COMPLEMENTA",
        "El predio seleccionado ya tiene coeficiente de copropiedad, este dato no puede ser complementado"),
    NO_CONSTRUCCIONES_CONV_COM("CONSTRUCCIONES", "COMPLEMENTA",
        "El predio no tiene construcciones convencionales, este dato no puede ser complementado"),
    DATO_CONSTRUCCION_EXISTE("CONSTRUCCIONES_DATOS", "COMPLEMENTA",
        "Todas las construcciones convencionales del predio tienen registrado este dato, este dato no puede ser complementado"),
    DIRECCION_EXISTE("DIRECCION", "COMPLEMENTA",
        "La dirección está registrada en este predio, este dato no puede ser complementado"),
    DIRECCION_PRINCIPAL_EXISTE("PRINCIPAL", "COMPLEMENTA",
        "La dirección principal está registrada en este predio, este dato no puede ser complementado"),
    FOTO_EXISTE("FOTO", "COMPLEMENTA",
        "Todas las construcciones tienen asociada foto, este dato no puede ser complementado"),
    DETALLE_CALIFICACION_EXISTE("DETALLE_CALIFICACION", "COMPLEMENTA",
        "Las construcciones ya tienen calificación asociada, este dato no puede ser complementado"),
    NO_DATOS_RECTIFICAR("", "RECTIFICA",
        "El trámite seleccionado es de rectificación y no cuenta con datos a rectificar asociados, por favor ingrese los datos requeridos e intente nuevamente"),
    NO_DATOS_COMPLEMENTAR("", "COMPLEMENTA",
        "El trámite seleccionado es de complementación y no cuenta con datos a complementar asociados, por favor ingrese los datos requeridos e intente nuevamente"),
    MODIFICAR_TODOS_NOMBRES("", "RECTIFICA",
        "No se pueden rectificar ni complementar todos los nombres del propietario"),
    NO_AREA_MEJORA("", "RECTIFICA",
        "No se pueden rectificar area de terreno cuando el predio es una mejora"),
    //Errores validaciones en ejecución
    CEDULA_INVALIDA("", "", "Número de cedula invalido, verifique"),
    NIT_INVALIDO("", "", "El número de identificación esta errado, rectifique"),
    PORCENTAJE_PARTICIPACION("", "",
        "Todos los propietarios deben tener un porcentaje de participación, verifique datos"),
    TOTAL_PARTICIPACION("", "", "La sumatoria del porcentaje de participación debe ser igual a 100"),
    VALOR_COMPRA_CERO("", "",
        "Recuerde que el valor de compra es el registrado en la escritura o documento justificativo"),
    NUMERO_TITULO_CERO("", "", "El número de titulo debe ser diferente de cero"),
    FECHA_TITULO_POSTERIOR("", "", "La fecha no puede ser mayor a la fecha del sistema"),
    FECHA_TITULO_NO_HABIL("", "", "La fecha de titulo no corresponde a un dia habil"),
    FECHA_REGISTRO_NO_HABIL("", "", "La fecha de registro no corresponde a un dia habil"),
    ENTIDAD_EMISORA_INVALIDA("", "", "El nombre de la entidad emisora no es valido"),
    TIPO_PREDIO_INVALIDO("", "", "Este tipo de predio no es válido, corrija"),
    NUMERO_REGISTRO_INVALIDO("", "", "Verifique la matricula inmobiliaria"),
    DIRECCION_INVALIDA("", "", "La dirección debe tener al menos 5 caracteres"),
    BANIO_INVALIDO("", "",
        "El dato detalle calificación de baño no puede ser rectificado en otro valor"),
    COCINA_INVALIDO("", "",
        "El dato detalle calificación de cocina no puede ser rectificado en otro valor"),
    TOTAL_PISOS_CERO("", "", "El total de pisos debe ser diferente de cero"),
    TOTAL_HABITACIONES_CERO("", "", "El total de habitaciones debe ser diferente de cero"),
    TOTAL_BANIOS_CERO("", "", "El total de baños debe ser diferente de cero"),
    TOTAL_LOCALES_CERO("", "", "El total de locales debe ser diferente de cero"),
    TOTAL_AREA_CONSTRUIDA_CERO("", "", "El área total de construcción debe ser diferente de cero"),
    DIMENSION_CERO("", "", "La dimensión de la construcción anexa debe ser diferente de cero"),
    ANIO_POSTERIOR("", "", "El año de construcción no debe ser posterior al actual");

    private String nombreCampo;
    private String naturaleza;
    private String mensaje;

    private EErroresDatosRectificar(String nombreCampo, String naturaleza, String mensaje) {

        this.nombreCampo = nombreCampo;
        this.naturaleza = naturaleza;
        this.mensaje = mensaje;
    }

    public String getNombreCampo() {
        return nombreCampo;
    }

    public String getNaturaleza() {
        return naturaleza;
    }

    public String getMensaje() {
        return mensaje;
    }

}
